Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1882121 - Review Request: fennel - A Lisp that compiles to Lua
Summary: Review Request: fennel - A Lisp that compiles to Lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stefano Figura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-23 20:18 UTC by Michel Alexandre Salim
Modified: 2020-10-23 22:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:09:16 UTC
Type: ---
stefano: fedora-review+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2020-09-23 20:18:37 UTC
Spec URL: https://salimma.fedorapeople.org/specs/lua/fennel.spec
SRPM URL: https://salimma.fedorapeople.org/specs/lua/fennel-0.6.0-1.fc32.src.rpm
Description: 
Fennel is a Lisp that compiles to Lua. It aims to be easy to use, expressive,
and has almost zero overhead compared to handwritten Lua.

* *Full Lua compatibility* - You can use any function or library from Lua.
* *Zero overhead* - Compiled code should be just as or more efficient than
   hand-written Lua.
* *Compile-time macros* - Ship compiled code with no runtime dependency on
   Fennel.
* *Embeddable* - Fennel is a one-file library as well as an executable. Embed it
   in other programs to support runtime extensibility and interactive
   development.

At https://fennel-lang.org there's a live in-browser repl you can use without
installing anything.

Fedora Account System Username: salimma

Comment 1 Michel Alexandre Salim 2020-09-23 20:22:38 UTC
Note: I'm planning to use this package as a template for an upcoming Lua packaging guidelines and a Lua rpmspec template.

This currently works on F33+ only due to needing lua-srpm-macros (now pulled in by redhat-rpm-config):
https://bodhi.fedoraproject.org/updates/FEDORA-2020-8f15d4d72f

If you test rebuilding on Rawhide this should work just fine. on F33 it works as of today but if it fails, check if the buildroot override (needed due to the F33 beta freeze in effect) has expired.

✦ ❯ rpm -qp --requires /var/lib/mock/fedora-33-x86_64-fennel/result/fennel-0.6.0-1.fc33.noarch.rpm                             
/usr/bin/lua
lua(abi) = 5.4
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsZstd) <= 5.4.18-1

Comment 2 Stefano Figura 2020-09-26 17:43:33 UTC
Reviewer Notes:

There is this SHOULD item you might want to investigate:

[!]: Uses parallel make %{?_smp_mflags} macro.

- ACCEPT
- Looks go to me!

Package Review
==============
 
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====
 
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 101 files have unknown
     license. Detailed output of licensecheck in
     /home/returntrip/1882121-fennel/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 112640 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
 
===== SHOULD items =====
 
Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
 
===== EXTRA items =====
 
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
 
 
Rpmlint
-------
Checking: fennel-0.6.0-1.fc34.noarch.rpm
          fennel-0.6.0-1.fc34.src.rpm
fennel.noarch: W: spelling-error %description -l en_US repl -> rep, rel, repel
fennel.src: W: spelling-error %description -l en_US repl -> rep, rel, repel
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
 
 
 
 
Rpmlint (installed packages)
----------------------------
(none): E: no installed packages by name fennel
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
 
 
 
Source checksums
----------------
https://git.sr.ht/~technomancy/fennel/archive/0.6.0.tar.gz#/fennel-0.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : f921ea7ef9e8a8f872a702526cd80f1be1154473ae0807c4cbe57567c89377b8
  CHECKSUM(SHA256) upstream package : f921ea7ef9e8a8f872a702526cd80f1be1154473ae0807c4cbe57567c89377b8
 
 
Requires
--------
fennel (rpmlib, GLIBC filtered):
    /usr/bin/lua
    lua(abi)
 
 
 
Provides
--------
fennel:
    fennel
    lua-fennel
 
 
 
Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1882121
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Perl, Haskell, fonts, SugarActivity, Python, R, Java, Ocaml, PHP, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Michel Alexandre Salim 2020-09-28 01:41:15 UTC
Thanks!

❯ fedpkg request-repo fennel 1882121                                                            
https://pagure.io/releng/fedora-scm-requests/issue/29268

Comment 4 Gwyn Ciesla 2020-09-28 13:36:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/fennel

Comment 5 Fedora Update System 2020-10-09 21:31:31 UTC
FEDORA-2020-fb1740d1a9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fb1740d1a9

Comment 6 Fedora Update System 2020-10-10 17:46:32 UTC
FEDORA-2020-fb1740d1a9 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-fb1740d1a9 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fb1740d1a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-23 22:09:16 UTC
FEDORA-2020-fb1740d1a9 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.